import FWCore.ParameterSet.Config as cms
from FWCore.ParameterSet.VarParsing import VarParsing

options = VarParsing ('analysis')
options.parseArguments()

# Give the process a name
process = cms.Process("PickEvent")

# Tell the process which files to use as the sourdce
process.source = cms.Source ("PoolSource",
          fileNames = cms.untracked.vstring (options.inputFiles)
)

process.maxEvents = cms.untracked.PSet(
            input = cms.untracked.int32 (options.maxEvents)

)

# Tell the process what filename to use to save the output
process.Out = cms.OutputModule("PoolOutputModule",
         fileName = cms.untracked.string (options.outputFile),
		 outputCommands = cms.untracked.vstring("keep *")
)

# make sure everything is hooked up
process.end = cms.EndPath(process.Out)
